# Uses of Class
org.eclipse.gef.requests.DirectEditRequest

Packages that use DirectEditRequest
Package
Description
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of DirectEditRequest in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies with parameters of type DirectEditRequest
Modifier and Type
Method
Description
`protected void`
DirectEditPolicy.`eraseDirectEditFeedback(DirectEditRequest request)`
If feedback is being shown, this method calls `DirectEditPolicy.revertOldEditValue(DirectEditRequest)`.
`protected abstract Command`
DirectEditPolicy.`getDirectEditCommand(DirectEditRequest request)`
Returns the `Command` to perform the direct edit.
`protected void`
DirectEditPolicy.`revertOldEditValue(DirectEditRequest request)`
Helps erase feedback by reverting the original edit value.
`protected abstract void`
DirectEditPolicy.`showCurrentEditValue(DirectEditRequest request)`
Override to show the current direct edit value in the host's Figure.
`protected void`
DirectEditPolicy.`showDirectEditFeedback(DirectEditRequest request)`
Pushes the original edit value if necessary, and shows feedback.
`protected void`
DirectEditPolicy.`storeOldEditValue(DirectEditRequest request)`
Called to remember the old value before direct edit feedback begins.

## Uses of DirectEditRequest in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return DirectEditRequest
Modifier and Type
Method
Description
`protected DirectEditRequest`
DirectEditManager.`createDirectEditRequest()`
Creates and returns the DirectEditRequest.
`protected DirectEditRequest`
DirectEditManager.`getDirectEditRequest()`
Returns the direct edit request, creating it if needed.